Skip to content

List accessible workspaces

GET
/workspaces
import { FloraClient } from '@flora-ai/flora';
const client = new FloraClient({ apiKey: process.env['FLORA_API_KEY'] });
const page = await client.workspaces.list();
console.log(page);

Returns the workspaces available to the authenticated public API key, including each workspace’s public ID, name, creation timestamp, and caller role.

Error responses use the standard error body.

Accessible workspaces returned.

Media type application/json
object
workspaces
required
Array<object>
object
workspace_id
required

Workspace identifier

string
/^ws_\S+$/
name
required

Workspace name

string
created_at
required
Any of:
integer
role
required

Workspace role

string
organization_id

Identifier of the organization that owns this workspace

string
/^org_\S+$/
organization_name

Display name of the organization that owns this workspace

string
Example
{
"workspaces": [
{
"workspace_id": "ws_abc123",
"name": "Brand Studio",
"organization_id": "org_abc123",
"organization_name": "Acme Inc"
}
]
}